package ru.dbotthepony.mc.otm.item.consumables

import net.minecraft.world.effect.MobEffectInstance
import net.minecraft.world.effect.MobEffects
import net.minecraft.world.level.Level
import net.minecraft.world.entity.LivingEntity
import net.minecraft.world.entity.player.Player
import net.minecraft.world.food.FoodProperties
import net.minecraft.world.item.Item
import net.minecraft.world.item.ItemStack

class ImperfectBread(properties: Item.Properties) : Item(properties) {
	override fun finishUsingItem(stack: ItemStack, level: Level, entity: LivingEntity): ItemStack {
		if (entity is Player) {
			entity.addEffect(MobEffectInstance(MobEffects.POISON, 80, 0))
		}
		return super.finishUsingItem(stack, level, entity)
	}
}

val IMPERFECT_BREAD_FOOD: FoodProperties = FoodProperties.Builder()
	.nutrition(5)
	.saturationModifier(0.6f)
	.build()

